
Redmine - Defect #31141

SCM: error when *.yml and *.txt show

2019-04-04 08:45 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Started GET "/test-trunk/projects/test01/repository/18/entry/test00.yml" for 127.0.0.1 at 2019-04-

04 15:41:16 +0900

Processing by RepositoriesController#entry as YAML

  Parameters: {"id"=>"test01", "repository_id"=>"18", "path"=>"test00.yml"}

  Current user: admin (id=1)

Completed 406 Not Acceptable in 295ms (ActiveRecord: 144.4ms)

ActionController::UnknownFormat (RepositoriesController#entry is missing a template for this reque

st format and variant.

request.formats: ["application/x-yaml"]

request.variant: []):

 This error is in only tunk, not in 4.0-stable.

Related issues:

Related to Redmine - Defect #30850: Unified diff link broken on specific file... Closed

Has duplicate Redmine - Defect #31478: RepositoriesController entry is missin... Closed

Associated revisions

Revision 18206 - 2019-05-30 08:57 - Toshi MARUYAMA

scm: early return in diff if diff is nil as same as show, changes, and etc. (#31141, #30850)

Contributed by Mizuki ISHIKAWA.

Revision 18207 - 2019-05-30 08:57 - Toshi MARUYAMA

add *.yaml and *.txt to RoutingRepositoriesTest (#31141, #30850)

Revision 18211 - 2019-05-30 14:49 - Toshi MARUYAMA

scm: fix error when *.yml and *.txt show (#31141, #30850)

Contributed by Mizuki ISHIKAWA.

History

#1 - 2019-04-27 11:46 - Go MAEDA

- Status changed from New to Confirmed

#2 - 2019-04-29 18:56 - Toshi MARUYAMA

- Subject changed from SCM: error when *.yml shows to SCM: error when *.yml and *.txt show

*.txt also causes error.

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Started GET "/test-trunk/projects/redmine-bb-all/repository/15/entry/test/fixtures/files/japanese-utf-8.txt" f

or 127.0.0.1 at 2019-04-30 01:52:34 +0900

Processing by RepositoriesController#entry as TEXT

  Parameters: {"id"=>"redmine-bb-all", "repository_id"=>"15", "path"=>"test/fixtures/files/japanese-utf-8.txt"
}

  Current user: admin (id=1)

Completed 406 Not Acceptable in 343ms (ActiveRecord: 157.4ms)

ActionController::UnknownFormat (RepositoriesController#entry is missing a template for this request format an

d variant.

request.formats: ["text/plain"]

request.variant: []):

#3 - 2019-05-09 07:13 - Mizuki ISHIKAWA

The problem is caused by r17962(#30850).

#4 - 2019-05-09 07:14 - Go MAEDA

- Related to Defect #30850: Unified diff link broken on specific file/revision diff view added

#5 - 2019-05-09 07:23 - Mizuki ISHIKAWA

By changing to format: false, in the case of request like "/test-trunk/projects/redmine-bb-all/repository/15/entry/test/fixtures/files/japanese-utf-8.txt", the

end ".txt" is interpreted as the format.

I think that the exception was caused by not being found even if you look for the view file like entry.text.

exception message:

ActionView::MissingTemplate: Missing template repositories/entry, application/entry with {:locale=>[:en], 

:formats=>[:text], :variants=>[], :handlers=>[:raw, :erb, :html, :builder, :ruby, :rsb]}

#6 - 2019-05-16 03:46 - Mizuki ISHIKAWA

- File fix-31141.patch added

I have attached a patch to fix this problem.

#7 - 2019-05-16 06:32 - Go MAEDA

Mizuki ISHIKAWA wrote:

I have attached a patch to fix this problem.

 I have confirmed that the patch fixes the issue. Tested with yml, txt, and gif files.

#8 - 2019-05-28 16:05 - Toshi MARUYAMA

- File fix-31141-1.diff added

This is additional tests.

#9 - 2019-05-28 16:09 - Toshi MARUYAMA

- File deleted (fix-31141-1.diff)

#10 - 2019-05-28 16:09 - Toshi MARUYAMA

- File fix-31141-1.diff added

#11 - 2019-05-30 16:09 - Go MAEDA

- Has duplicate Defect #31478: RepositoriesController entry is missing a template for Image added

#12 - 2019-06-21 01:59 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed in r18206.

#13 - 2019-06-30 14:58 - Toshi MARUYAMA

Thank you for your closing.
https://www.redmine.org/projects/redmine/repository/svn/revisions/17962
https://www.redmine.org/issues/30850
https://www.redmine.org/projects/redmine/repository/svn/revisions/18206


Files

fix-31141.patch 6.57 KB 2019-05-16 Mizuki ISHIKAWA

fix-31141-1.diff 1.64 KB 2019-05-28 Toshi MARUYAMA
